> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Disk

> Create a new disk.
Size should be in gibibytes (GiB) or tebibytes (TiB) in the format [Size][GiB|TiB]. E.g. 10GiB.
A successful response from this resource will contain the async operation.

Create a new disk in a project.

### Required Parameters

* `name`: Disk name
* `size`: Size in GiB or TiB (e.g., "10GiB")
* `location`: Deployment location

### Optional Parameters

* `block_size`: Block size in bytes (512 or 4096)
* `type`: Disk type ("persistent-ssd" or "shared-volume")


## OpenAPI

````yaml POST /projects/{id}/disks
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{id}/disks:
    post:
      tags: []
      summary: Create Disk
      description: >-
        Create a new disk.

        Size should be in gibibytes (GiB) or tebibytes (TiB) in the format
        [Size][GiB|TiB]. E.g. 10GiB.

        A successful response from this resource will contain the async
        operation.
      parameters:
        - name: id
          in: path
          description: Project id
          required: true
          example: b3e571f6-c87d-4135-8081-ab219e92544e
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Disk name
                size:
                  type: string
                  description: >-
                    Disk size in gibibytes (GiB) or tebibytes (TiB) in the
                    format [Size][GiB|TiB]
                location:
                  type: string
                  description: Location
                block_size:
                  type: integer
                  description: Block size in bytes 512 or 4096
                  format: int64
                type:
                  type: string
                  enum:
                    - persistent-ssd
                    - shared-volume
                  default: persistent-ssd
                  description: Disk type
              required:
                - name
                - size
                - location
            example:
              block_size: 4096
              location: us-northcentral1-a
              name: my-disk
              size: 10GiB
              type: persistent-ssd
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  operation:
                    type: object
                    properties:
                      completed_at:
                        type: string
                      metadata:
                        type: object
                        properties: {}
                      operation_id:
                        type: string
                      result:
                        type: object
                        properties: {}
                      started_at:
                        type: string
                      state:
                        type: string
                    required:
                      - completed_at
                      - metadata
                      - operation_id
                      - result
                      - started_at
                      - state
                required:
                  - operation
              examples:
                '1':
                  summary: Success
                  value:
                    operation:
                      completed_at: '2021-12-03T19:59:34Z'
                      metadata: {}
                      operation_id: F6EF489C-086E-458D-B812-7962964A28C9
                      result: {}
                      started_at: '2021-12-03T19:58:34Z'
                      state: IN_PROGRESS
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````